<template>
  <info-card title="Información general">
    <v-container>
      <info-field field="Archivo">
        <v-text-field
          label=""
          :value="load.originalName"
          outlined
          readonly
        />
      </info-field>
      <info-field field="Tipo de dato">
        <v-text-field
          label=""
          :value="load.dataType"
          outlined
          readonly
        />
      </info-field>
      <info-field field="Analista responsable">
        <v-text-field
          label=""
          :value="fullName(load.responsible)"
          outlined
          readonly
        />
      </info-field>
      <info-field field="Fecha y hora de carga">
        <v-text-field
          label=""
          :value="toLocalDate(load.loadedAt)"
          outlined
          readonly
        />
      </info-field>
    </v-container>
  </info-card>
</template>

<script>
import { mapState } from 'vuex';
import InfoCard from '~/components/Common/Info/InfoCard';
import InfoField from '~/components/Common/Info/InfoField';
import { fullName } from '~/helpers/format/names';
import { toLocalDate } from '~/helpers/format/time';

export default {
  name: 'GeneralInfo',
  components: {
    InfoCard,
    InfoField,
  },
  computed: {
    ...mapState({
      load: state => state.sync.loads.current.load,
    }),
  },
  methods: {
    fullName,
    toLocalDate,
  },
};
</script>
